PUT /api/v3/campaigns/{lcuid}/inventory-items/{id}/digital-boards¶
Summary¶
PUT campaigns/{lcuid}/inventory-items/{id}/digital-boards
Description¶
Set the limited digital boards for a specific item in a campaign This will override any existing digital boards for this item and allows you to specify a subset of the digital boards that are attached to the campaign for this particular item. Use this to restrict the display of any particular item on specific screens
An empty array of digital boards will remove the limitation and allow the item to be displayed on all digital boards
Tags: campaigns
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
digital_board_lcuids(object): An array of digital board lcuids to add to this item.digital_board_identifiers(object): An array of vendor unique ids to add to this item.
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)inventory_item(object) Type:object
Properties:
unique_id(string)title(string)description(string)new_used(integer)year(string)make(string)model(string)sub_model(string)price(integer)price_original(string)price_modifier(string)external_link(string)status(integer)item_class(string)creative_state(integer)lcuid(string)created_at(string)updated_at(string)deleted_at(string)has_price_override(boolean)price_upstream(string)-
options(object) Type:objectProperties:
best_creative_image_photo_url(string)first_play_at(string)primary_image_background_removed_public_url(string)primary_image_public_url(string)
-
cached_tags(string) attributes(array)-
campaign_settings(object) Type:objectProperties:
1035(object) Type:object
Properties:
board_ids(array)- Array items:
integer
- Array items:
Example Response¶
{
"success": true,
"inventory_item": {
"unique_id": "jsKaaFDPVG",
"title": "Unit Test - kaXKSjOUmGkQ2DI",
"description": "Some Description - uuZnMO5fd9GMmdiXJHIyEwuTfg0KRLrlEchEYLTqJVVjyYEJOyv64WQgvqpgazRw98tJxW8Di5mrvgqQG34r29T6VQUDEZmsyga9NQXkWkaaojLeJCk3VThwdyo6MkyDyfrYer8z55uKM7LPkSZ3m5",
"new_used": 0,
"year": null,
"make": "Some Make",
"model": "Some Model",
"sub_model": "Some Sub Model",
"price": 7811,
"price_original": "7811.00",
"price_modifier": null,
"external_link": "https://www.example.com/jsKaaFDPVG",
"status": 1,
"item_class": "App\\LuCore\\InventoryItems\\RealEstateInventoryItemClass",
"creative_state": 0,
"lcuid": "LCUID-LI-057451ce-99a6-440e-a78a-bf293ad59677",
"created_at": "2026-01-07T00:11:44.000000Z",
"updated_at": "2026-01-07T00:11:44.000000Z",
"deleted_at": null,
"has_price_override": false,
"price_upstream": null,
"options": {
"best_creative_image_photo_url": null,
"first_play_at": null,
"primary_image_background_removed_public_url": null,
"primary_image_public_url": null
},
"cached_tags": null,
"attributes": [],
"campaign_settings": {
"1035": {
"board_ids": [
21979
]
}
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request PUT \
--url "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/digital-boards" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/digital-boards";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "PUT",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/digital-boards', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/campaigns/{lcuid}/inventory-items/{id}/digital-boards"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.put(url, headers=headers)
print(response.json())